Bug 1127056 - Migration Guide for community users
Migration Guide for community users
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Docs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-05 23:52 EDT by Michelle Kim
Modified: 2015-03-19 03:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 2
Clone Of:
Environment:
Last Closed: 2015-03-19 03:10:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michelle Kim 2014-08-05 23:52:55 EDT
We need a step by step guide to assist Package Maintainers / Engineers who wish to migrate their packages from different translation system to Zanata instance.

Some of the expected contents: 

How to pull pkgs from other instance
How to prepare files/dir for pushing to Zanata
GUI options
Command Line Client options 
How to pull the files and publish 
..etc
Comment 2 David Mason 2014-08-19 22:19:50 EDT
Create a maintainers' guide, somewhere in zanata.org/help

 - mention Zanata init (make sure server and client version that support this are available)
   - note that Zanata init will not work on F19. Using the ivy client may be a workaround for this.
 - example of single pot (gettext)
   - note that gettext projects have to use map-from to deal with Fedora locales that are using underscores.
 - example for multiple pot (podir)
 - point to zanata help docs for every step that is generic
   - update help docs for generic steps that are not up-to-date or good enough
   - add help page for zanata init
   - add some info to http://zanata.org/help/cli/cli-push/ about dealing specifically with gettext and podir directory structures
   - add page to  give an overview of the maintainer migration workflow  (“Maintainer Guide”)


Use this for guidance about the project structures we are likely to see in Fedora projects: https://fedoraproject.org/wiki/FAQ_on_migration_to_Transifex.com

Example of a migration guide: https://phraseapp.com/docs/migration-guides/migrating-from-transifex-to-phraseapp
Comment 3 Damian Jansen 2014-10-07 23:35:05 EDT
Verified

Note You need to log in before you can comment on or make changes to this bug.